{% extends "base.html" %}

{% block content %}

<div class="row">
            <div class="col-sm-8">
                {% for post in posts %}
                {% include '_post.html' %}
                {% endfor %}
            </div>


<div class="col-sm-4">
<div class="card" style="width: 18rem;">
    <img class="card-img-top" src="/static/reddit.png" alt="Profile Image">
    <div class="card-body">
      <h5 class="card-title">{{ sub.subreddit_name }}</h5>
      <p class="card-text">This is about me section.</p>
    </div>
    <ul class="list-group list-group-flush">
      <li class="list-group-item">followers: {{ followers }}</li>
      <li class="list-group-item">Total Posts: {{posts.count() }}</li>
      <li class="list-group-item">
            {% if not current_user.is_following(sub) %}
            <button type="button" class="btn btn-primary" style="font-size: 10pt;"><a href="{{ url_for('follow', subreddit=sub.subreddit_name) }}" style="text-decoration: none; color: white">+Join</a></button>
            {% else %}
            <button type="button" class="btn btn-primary" style="font-size: 10pt;"><a href="{{ url_for('unfollow', subreddit=sub.subreddit_name) }}" style="text-decoration: none; color: white">Unfollow</a></button>
            {% endif %}
      </li>
    </ul>
  </div>
</div>
</div>  
{% endblock %}
